module.exports = (debug) => (xml) => {
  debug('Available Tests', 'Checking');
  try {
    const status = {
      report:
        Object.keys(xml.root.report[0])
              .filter(i=>i.match(/TestSet/))
              .map(i=>({ test: i, available: typeof xml.root.report[0][i][0] === 'object' })),
      appendix:
        Object.keys(xml.root.appendix[0])
              .filter(i=>i.match(/TestSet/))
              .map(i=>({ test: i, available: typeof xml.root.appendix[0][i][0] === 'object' }))
    };

    debug('Available Tests', 'Finished');
    return [
      ...status.report.filter(i=>i.available).map(i=>`R:${i.test}`),
      ...status.appendix.filter(i=>i.available).map(i=>`A:${i.test}`)
    ];
  }
  catch(err) {
    debug('Available Tests', err);
    return undefined;
  }
}
