module.exports = (debug) => (xml) => {
  debug('CISH', 'Processing started');
  const source = xml.root.appendix?.[0]?.cishTestSet?.[0]?.cishTest;
  if (!source) {
    debug('CISH', 'Data not available');
    return undefined;
  }

  try {
    debug('CISH', 'Processing finished');
    return source.map(i => ({
      biomarker: i.gene?.[0],
      cellsCounted: parseInt(i.cellsCounted?.[0]) || null,
      result: i.result?.[0]?.trim(),
      percentGeneControlRatio: parseFloat(i.percentGeneControlRatio?.[0]) || null,
      avgGeneCopyNumber: parseFloat(i.avgGeneCopyNumber?.[0]) || null,
      avgControlCopyNumber: parseFloat(i.avgControlCopyNumber?.[0]) || null,
      percentageCells: parseFloat(i.percentageCells?.[0]) || null,
      amplification: parseFloat(i.amplification?.[0]) || null,
      ratioCalculation: i.ratioCalculation?.[0],
      ratio: i.ratio?.[0],
      referenceRange: i.referenceRange?.[0]
    }));
  }
  catch(err) {
    debug('CISH', err);
    return undefined;
  }
}
