module.exports = (debug) => (xml) => {
  debug('FISH', 'Processing started');
  const source = xml.root.appendix?.[0]?.fishTestSet?.[0]?.fishTest || xml.root.appendix?.[0]?.fishRearrangementTestSet?.[0]?.fishRearrangementTest;
  if (!source) {
    debug('FISH', 'Data not available');
    return undefined;
  }

  try {
    debug('FISH', 'Processing finished');
    return source.map(i => ({
      biomarker: i.gene?.[0],
      iscn: i.iscn?.[0],
      result: i.result?.[0]?.trim(),
      referenceRange: i.referenceRange?.[0]
    }));
  }
  catch(err) {
    debug('FISH', err);
    return undefined;
  }
}
