module.exports = (debug) => (xml) => {
  debug('GPS', 'Processing started');
  const source = xml.root.report[0].GPSResult || xml.root.report[0].mdcResult;
  const belowThreshhold = xml.root.report[0]?.isGPSbelowThreshold?.[0];
  const isLegacySource = !!xml.root.report[0].mdcResult;

  if (!source || belowThreshhold === 'true') {
    debug('GPS', 'Data not available');
    return undefined;
  }
  if (source && belowThreshhold !== 'true') {
    try {
      debug('GPS', 'Processing finished');
      return source.map(i => ({
        organ: isLegacySource ? i.organ?.[0] : i.diseaseType?.[0],
        value: isLegacySource ? parseInt(i.similarityScore?.[0]) : Math.round(i.prevalence?.[0])
      }));
    }
    catch (err) {
      debug('GPS', err);
      return undefined;
    }
  }
};
