module.exports = (debug) => (xml) => {
  debug('Header', 'Checking');
  const source = xml.root.FirstHeader?.[0];
  if (!source) {
    debug('Header', 'Data not available');
    return undefined;
  }

  return {
    accessionNumber: source.accessionNumber?.[0]?.trim() || undefined,
    dob: source.dob?.[0]?.trim().replace(/^(\d{2})\/(\d{2})\/(\d{4})$/, '$3-$1-$2') || null || undefined,
    sex: source.patientSex?.[0]?.trim() || undefined,
    lineage: source.lineageCode?.[0]?.trim() || undefined,
    state: source.physicianLocation?.[0]?.match(/([A-Z]{2})\s(\d{5})\s([A-Z]{2,3})$/)?.[1] || undefined,
    country: source.physicianLocation?.[0]?.match(/\d+ ([a-z ]+$)/i)?.[1] || undefined
  }
}