module.exports = (debug) => (xml) => {
  debug('importantNotes', 'Processing started');
  const source = xml.root.report?.[0].importantNotes[0];
  if (!source) {
    debug('importantNotes', 'Data not available');
    return undefined;
  }

  try {
    const notes = source.importantNote?.map((i) => ({
      symbol: i.symbol?.[0],
      note: i.note?.[0]
    })) || [];

    if (notes.length) {
      debug('importantNotes', 'Processing finished');
      return notes;
    }
    else {
      debug('importantNotes', 'Data not available');
      return undefined;
    }
  }
  catch (err) {
    debug('importantNotes', err);
    return undefined;
  }
};